# mongoc_bulk_operation_remove_one()

## Synopsis

    void
    mongoc_bulk_operation_remove_one (mongoc_bulk_operation_t *bulk,
                                      const bson_t            *selector);

This function queues a delete operation as part of bulk that will delete a single document matching selector. To delete a multiple documents, see mongoc_bulk_operation_remove().

## Parameters

bulk | A mongoc_bulk_operation_t.
selector | A bson_t.

## Errors

Errors are propagated via mongoc_bulk_operation_execute().